<?php

use CustomForm\FormField;

class bForm_field_option extends BackModule
{
    function bForm_field_option($formvars = array())
    {
        parent::BackModule($formvars);
    }

    function update($formvars = array(), $table = null, $langue = true)
    {
        parent::update_multi($formvars, $table, $langue);
    }

    function create($formvars = array(), $table = null, $langue = true)
    {
        $id = parent::create_multi($formvars, $table, $langue);

        return $id;
    }

    function delete($formvars = array(), $table = null, $langue = true)
    {
        parent::delete_multi($formvars);
    }

    function Form($formvars = array())
    {

        if (empty($formvars['id'])) {
            $this->path[] = "<span> &raquo; <a href='" . $this->link_to('addForm') . "'>Ajout d'une nouvelle option</a></span>";
        } else {
            $sql = "SELECT form_field_option_nom_nom as data FROM form_field_option_nom WHERE form_field_option_id = '" . $formvars['id'] . "' AND langue_id = '" . LANGUE . "'";
            $this->sql->query($sql, SQL_ALL, SQL_ASSOC);
            $data = $this->sql->record[0];
            $this->path[] = "<span> &raquo; <a href='" . $this->link_to('modForm',
                    array('id' => $formvars['id'])) . "'>Edition de l'option : <strong>" . $data['data'] . "</strong></a></span>";
        }

        // SQL
        if (!empty($formvars['id'])) {
            $sql = getTableMutli('form_field_option', $formvars['id']);
            $this->request = $sql;
        }

        $form = new BackForm("Field", 'hidden', 'form_field_id');
        $this->addForm($form);

        $form = new BackForm("Name", 'text', 'form_field_option_nom_nom');
        $form->setVar('translate', true);
        $this->addForm($form);

        $form = new BackForm("Value", 'text', "form_field_option_value");
        $this->addForm($form);

        $form = new BackForm("Rank", 'text', "form_field_rang");
        $this->addForm($form);

        //-- Champs du formulaire
        if (!isset($formvars['id'])) {
            $formvars['id'] = 0;
        }

        return $this->displayForm($formvars['id']);
    }

    function Listing($formvars = array())
    {
        $q = new Query();
        $boutique = Boutique::getInstance();
        $q->select(
                'ffo.form_field_option_id',
                'ffo.form_field_option_id',
                'ffo.form_field_option_value',
                'ffon.form_field_option_nom_nom'
            )
            ->from('form_field_option')
            ->leftJoin('form_field_option_nom', "AND", ['ffon.form_field_option_id', 'ffo.form_field_option_id'], ['ffon.langue_id', LANGUE])
        ;

        if (!empty($formvars['form_field'])) {
            $q->where('ffo.form_field_id', $formvars['form_field']);
        }

        $this->request = $q->build();
        //-- SQL
        // LABELS
        $label = new BackLabel("ID");
        $this->addLabel($label);

        $label = new BackLabel("VALUE");
        $this->addLabel($label);

        $label = new BackLabel("NAME");
        $this->addLabel($label);

        return $this->displayList($formvars['type']);
    }

//--
}